/*
 * VerboseAction.hpp
 *
 *  Created on: May 9, 2010
 *      Author: heber
 */

#ifndef VERBOSEACTION_HPP_
#define VERBOSEACTION_HPP_

#include "Actions/Action.hpp"

class CommandLineVerboseAction : public Action {
public:
  CommandLineVerboseAction();
  virtual ~CommandLineVerboseAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* VERBOSEACTION_HPP_ */
